--- title: "Download Audit Trail Document" slug: "download-audit-trail-document" updated: 2025-06-27T20:03:34Z published: 2025-06-27T20:03:34Z canonical: "docs.onespan.com/download-audit-trail-document" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # Download Audit Trail Document With this API, you can download the audit trail document that was generated with [Generate audit trail on demand](/v1/docs/generate-audit-trail-on-demand). The response of the generate-audit-trail request contains the link to the download location of the document. This link is included in the request to download the audit trail document. ## Syntax ```http GET /api/transactions/transaction_id/data ``` ## Available parameters | **Request parameters (download audit trail document)** | | --- | | Name | HTTP request data | Description | | Authorization | Request header | Required. This is the authorization token. Format: Bearer token | | url | Request parameter | Required. The link to the download location of the audit trail document. Format: sfs://shared_storage_id/tenant_id/transactions/transaction_id/­docs/AuditTrailDocument_transaction_version_number_events/1 | ## Examples ### Example request ```http curl --location --request GET 'https://host:port/api/transactions/00178a9e-0862-4055-88b8-94f49618b51b/data?url=sfs://my_db/default/dealflo/transactions/00178a9e-0862-4055-88b8-94f49618b51b/docs/AuditTrailDocument_11_40/1' \ --header 'Authorization: Bearer token' \ --header 'Cookie: cookie' ```